javaws(1)

NAME
javaws Command Line

  NAME

javaws - Java Web Start launcher command

  SYNOPSIS

javaws [ options ] [ URL ]

  PARAMETERS

options

    Command-line options. Options may be in any order. For a discussion of the various options, see OPTIONS below.

URL

    Uniform Resource Locator (URL) of the JNLP (Java Net-work Launching Protocol) file.

  DESCRIPTION

The javaws command launches Java Web Start, which is the reference implementation of the Java Network Launching Protocol (JNLP). Java Web Start launches Java applications/applets hosted on a network.

Without any options javaws will launch the Java JNLP Application Manager, from which users can launch applications/applet or configure Java Web Start.

If a URL for a JNLP file is specified, javaws will launch the Java application/applet specified in the JNLP file.

  OPTIONS

The javaws launcher has a set of options that are supported in the current release. However, the options may be removed in a future release. All -X options are non-standard and subject to change.

-offline

    Runs Java Web Start in offline mode.

-uninstall <URL>

    Removes a specific application/applet from the user's cache, as indicated by the URL for the JNLP file. If <URL> is not specified, the entire cache is removed. Java Web Start will exit after the command is completed.

-updateVersions

    Updates the Java Web Start configuration file based on the current machine's settings. Java Web Start will exit after the command is completed.

-Xclearcache

    Clears the user's cache. Java Web Start will exit after the command is completed.

-Xnosplash

    Disables the display of the initial splash screen.

-import

    Imports the application specified by URL into the user's cache but does not run it.

-silent

    When used with the -import option, imports in silent mode; i.e., there will be no UI pop up. The process exit code will be either 0 if successful or 1 if not.

-codebase <url>

    Replaces the codebase with <url> in the jnlp file specified when importing the resources. <url> must be a valid URL.

-system

    Uses the system cache instead of the user cache.

-shortcut

    Allows the creation of shortcuts during silent import.

-association

    Allows the creation of associations during silent import.

-open <arguments>

    If specified, replaces the arguments in the jnlp file with -open <arguments>.

-print <arguments>

    If specified, replaces the arguments in the jnlp file with -print <arguments>.

-online

    Runs in online mode (default behavior).

-viewer

    Runs the Java Application Cache Viewer (default if no URL is specified).

-userConfig <property name>

    Clears the specified deployment property.

-userConfig <property name> <property value>

    Sets the specified deployment property to the specified value.

-wait

    If specified, the javaws process will not exit until the application exits.

  FILES

For information about the user and system cache and deployment.properties files, see System- and User-Level Properties @
http://java.sun.com/javase/6/docs/technotes/guides/deployment/deployment-guide/properties.html.

  MORE INFORMATION

For more information about Java Web Start, see Java Web Start version 1.5.0 @
http://java.sun.com/javase/6/docs/technotes/guides/javaws/index.html.